//
//  ICLiveStreamLayer.h
//  IPEVOCameraKit
//
//  Created by Kevin on 2014/11/12.
//  Copyright (c) 2014 IPEVO Inc. All rights reserved.
//

#import <QuartzCore/QuartzCore.h>

@interface ICLiveStreamLayer : CALayer
@property (nonatomic, assign) CGFloat contentHeightWidthRatio;
@property (nonatomic, assign) CGFloat contentRotationDegree;
@property (nonatomic, assign) CGFloat contentZoomValue;
@property (nonatomic, assign) BOOL horizontalFlipped;
@property (nonatomic, assign) BOOL verticalFlipped;
@property (nonatomic, strong) CALayer * contentLayer;
@property (nonatomic, assign) CGPoint zoomedAreaPosition;
@property (nonatomic, assign) BOOL fillToBounds;

- (instancetype) initWithSession:(ICCaptureSession *) captureSession;

@end
