//
//  ICImageView.h
//  IPEVOCameraKit
//
//  Created by Kevin on 2013/11/14.
//  Copyright (c) 2013 IPEVO Inc. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <QuartzCore/QuartzCore.h>

typedef enum ICContentMode {
    ICContentModeAspectFit,
    ICContentModeAspectFill
} ICContentMode;

@interface ICImageView : NSView

@property (strong) CIImage * image;
@property (nonatomic, assign) ICContentMode contentMode;

@end
